Package: popt / 1.16-10

Metadata

Package Version Patches format
popt 1.16-10 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
318833.patch | (download)

popt.c | 21 20 + 1 - 0 !
poptint.h | 1 1 + 0 - 0 !
2 files changed, 21 insertions(+), 1 deletion(-)

---
367153 manpage.patch | (download)

popt.3 | 10 5 + 5 - 0 !
1 file changed, 5 insertions(+), 5 deletions(-)

---
278402 manpage.patch | (download)

popt.3 | 7 4 + 3 - 0 !
1 file changed, 4 insertions(+), 3 deletions(-)

---
217602.patch | (download)

popt.c | 10 10 + 0 - 0 !
1 file changed, 10 insertions(+)

---
356669.patch | (download)

configure | 2 1 + 1 - 0 !
po/ca.po | 116 116 + 0 - 0 !
2 files changed, 117 insertions(+), 1 deletion(-)

---
728596 secure getenv.patch | (download)

configure.ac | 2 1 + 1 - 0 !
system.h | 6 5 + 1 - 0 !
2 files changed, 6 insertions(+), 2 deletions(-)

 libpopt-dev: __secure_getenv() function renamed to secure_getenv()

Use secure_getenv if it is available.
Fall back to __secure_getenv if it is not.
In glibc 2.17, __secure_getenv was renamed to secure_getenv.
So check also for it.
Reference:
 http://sourceware.org/glibc/wiki/Tips_and_Tricks/secure_getenv
 http://marc.info/?t=134192618500001&r=1&w=2

757935 autoreconf.patch | (download)

Makefile.am | 2 1 + 1 - 0 !
configure.ac | 1 0 + 1 - 0 !
2 files changed, 1 insertion(+), 2 deletions(-)

---